<div class="field hashtags__container">
  <%= form.text_field :title, class: "js-hashtags", hashtaggable: true, value: form_presenter.title %>
</div>

<div class="field hashtags__container">
  <%= form.text_area :body, rows: 10, class: "js-hashtags", hashtaggable: true, value: form_presenter.body(extras: false).strip %>
</div>

<% if @form.component_automatic_hashtags.any? %>
  <div class="field">
    <%= form.label :automatic_hashtags %>
    <div class="checkboxes hashtags">
      <% @form.component_automatic_hashtags.each do |hashtag| %>
        <label>
          <%= check_box_tag "", "", { checked: true }, { disabled: true } %>#<%= hashtag %>
        </label>
      <% end %>
    </div>
  </div>
<% end %>

<% if @form.component_suggested_hashtags.any? %>
  <div class="field">
    <%= form.label :suggested_hashtags %>
    <div class="checkboxes hashtags">
      <%= form.collection_check_boxes :suggested_hashtags, @form.component_suggested_hashtags.map {|hashtag| [hashtag.downcase, "##{hashtag}"]}, :first, :last do |option|
        option.label { option.check_box(checked: @form.suggested_hashtag_checked?(option.value)) + option.text }
      end %>
    </div>
  </div>
<% end %>

<% if component_settings.geocoding_enabled? %>
  <div class="field">
    <%= form.check_box :has_address, checked: form_has_address? %>
  </div>
  <div class="field flex-input-group" id="address_input">
    <div class="input-wrapper">
      <%= form.text_field :address, placeholder: t("decidim.proposals.proposals.placeholder.address") %>
    </div>
    <% if has_position?(@proposal) %>
      <div class="button-wrapper">
        <button type="button" name="map-preview" class="button hollow" data-open="address_input_modal">
          <%= icon "map-marker" %>
        </button>
      </div>
      <%= form.hidden_field :latitude, data: { type: "latitude" } %>
      <%= form.hidden_field :longitude, data: { type: "longitude" } %>
      <div class="reveal map-modal" id="address_input_modal" data-reveal>
        <div class="row column">
          <div class="callout warning"><b><%= t("decidim.proposals.proposals.dynamic_map_instructions.primary") %></b></div>
        </div>
        <%= dynamic_map_for proposal_preview_data_for_map(@proposal) do %>
          <%= stylesheet_link_tag "decidim/map" %>
          <%= javascript_include_tag "decidim/map" %>
        <% end %>
        <button class="close-button" data-close aria-label="Close modal" type="button">
          <%= icon "x" %>
        </button>
      </div>
    <% end %>
  </div>
  <% if form_has_address? && !has_position?(@proposal) %>
    <div class="callout warning"><%= t("decidim.proposals.proposals.preview.not_geocoded") %></div>
  <% end %>
<% end %>

<% if @form.categories&.any? %>
  <div class="field">
    <%= form.categories_select :category_id, @form.categories, prompt: t("decidim.proposals.proposals.edit.select_a_category") %>
  </div>
<% end %>

<% if current_participatory_space.has_subscopes? %>
  <div class="field">
    <%= scopes_picker_field form, :scope_id %>
  </div>
<% end %>

<% if current_organization.user_groups_enabled? && Decidim::UserGroups::ManageableUserGroups.for(current_user).verified.any? %>
  <div class="field">
    <%= user_group_select_field form, :user_group_id %>
  </div>
<% end %>

<% if component_settings.attachments_allowed? && @proposal %>
  <fieldset>
    <legend><%= t("attachment_legend", scope: "decidim.proposals.proposals.edit") %></legend>
    <%= form.fields_for :attachment, @form.attachment do |nested_form| %>
      <div class="field">
        <%= nested_form.text_field :title %>
      </div>

      <div class="field">
        <%= nested_form.upload :file, optional: false %>
        <% if @form.errors[:attachment].present? %>
          <% @form.errors[:attachment].each do |message| %>
            <small class="form-error is-visible">
              <%= message %>
            </small>
          <% end %>
        <% end %>
      </div>
    <% end %>
  </fieldset>
<% end %>
